Loading...
Searching...
No Matches
Opm::ConstantSolidHeatCapLaw< ScalarT, ParamsT > Class Template Reference

Implements a solid energy storage law which assumes constant heat capacity. More...

`#include <ConstantSolidHeatCapLaw.hpp>`

## Public Types

typedef ParamsT | Params
typedef Params::Scalar | Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | solidInternalEnergy (const Params &params, const FluidState &fluidState)
| Given a fluid state, compute the volumetric internal energy of the solid matrix [W/m^3].

## Detailed Description

template<class ScalarT, class ParamsT = ConstantSolidHeatCapLawParams<ScalarT>>
class Opm::ConstantSolidHeatCapLaw< ScalarT, ParamsT >

Implements a solid energy storage law which assumes constant heat capacity.

The documentation for this class was generated from the following file:

- opm/material/thermal/ConstantSolidHeatCapLaw.hpp